#pragma once

#include <KSGNetwork.h>

class EditorKlient
{
private:
    KSGClient::EditorServerClient *klient;
    Text error;
    int ref;

public:
    // Konstruktor
    //  k: Der zu verwendende Klient
    EditorKlient( KSGClient::EditorServerClient *k );
    // Destruktor
    ~EditorKlient();
    // Initialisiert den Server
    //  return: 1, falls erfolgreich
    //          2, falls bereits eine Sitzung existiert
    //          0, sonnst
    int init();
    // Verwirft die vorhandene Sitzung und erstellt eine neue
    bool sitzungVerwerfen();
    // Gibt den Letzten Fehler zurck
    char *getLastError() const;
    // Reference Counting
    EditorKlient *getThis();
    EditorKlient *release();
};